---
import { t, changeLanguage } from "i18next";
import { getCollection, CollectionEntry } from "astro:content";
import MainLayout from "../../../layouts/MainLayout.astro";
import PostCard from "../../../components/PostCard.astro";
import CategoryCloud from "../../../components/CategoryCloud.astro";
import Pagination from "../../../components/Pagination.astro";
import { formatBlogPosts } from "../../../js/utils";

changeLanguage("cs");

export async function getStaticPaths({ paginate }) {
    const allPosts = await getCollection("blog");
    const formattedPosts: CollectionEntry<"blog">[] = formatBlogPosts(allPosts);
    return paginate(formattedPosts, {
        pageSize: 4,
    });
}
const { page } = Astro.props;
---

<MainLayout title="My Blog">
  <section class="container" aria-label="New Blog Posts">
    <h1 class="h1">{t("blog.header")}</h1>
    <div class="post-container">
      {
        page.data.map((post) => (
          <PostCard data={post.data} url={post.slug} tagType="h2" />
        ))
      }
    </div>
    <Pagination prevUrl={page.url.prev} nextUrl={page.url.next} />
  </section>
  <aside class="container" aria-label="Blog categories">
    <h2 class="h3">{t("blog.category")}</h2>
    <CategoryCloud showCount={true} />
  </aside>
</MainLayout>
